Subject: Re: QOS Routing - high level comments (long)

From: [email-masked] (Ross Callon)
Date: Mon, 8 Apr 96 18:09:50 EDT

> At any rate I basically buy his argument that the available bandwidth
> is increasing at a sufficient rate (given that the regulatory
> environment gets out of the way as it sort of seems to be
> doing) that QOS in the insides of the network is not needed.
> Bandwidth and performance (I expect) will soon become constrained by
> the bandwidth to and in the home/office.  Even that bottleneck
> will likely soon be replaced by one in the end equipment.
> If that sort of environment would come to pass (is it wishful
> thinking or a real direction?) then QoS inside the network
> doesn't seem so necessary to me.

You might want to check out fundamental truth number 10 from 
RFC 1925 ("one size never fits all"). 

I have been hearing for at least 10 years that processing and
memory for computers is becoming so cheap that they can both 
(or at least one of the above) can be ignored. In spite of
this, the computer power (including processing and memory)
that I have sitting on my desk right now is more expensive 
than anything that I have every had sitting on my desk in the
past. It is true that it is a lot cheaper in terms of dollars
per MIP/MByte, but the expectations have grown even faster 
than the ability of computers to live up to them. The capabilities
are getting great enough that it is worth paying big bucks to 
get them. 

In the same sense, I am inclined to be very skeptical of this
"bandwidth is cheap" arguement. There are applications which
could be run over a "fast enough, cheap enough" network which 
aren't being run over the Internet because the bandwidth isn't 
there or the delay is too large and/or variable or the 
reliability too shaky. I believe that there is an enormous 
untapped source of applications which could use greater 
bandwidth, less delay, or more predictable service than what 
we have today. 

I was at a talk recently where someone made the analogy that
using an ATM-style hard state with each call is sort of like 
bringing a lawyer along for a financial transaction. Oddly, 
he thought that this was an arguement for a call setup on 
every data flow (I wondered if he brought his lawyer along
when buying a newspaper). However, there are some cases where
having the lawyer makes sense (I wouldn't purchase a house
without one). 

In the same sense, it is obvious that there are some 
applications for which a call setup clearly does not make
any sense (consider sending a query for a stock market 
quote, or for tommorrow's weather report). But I think that
we would be making a big mistake to assume that "one size
fits all". The Internet backbones today are said to be having
trouble keeping up with the demand, even without interactive
movies or video games being run over the Internet. By the
time that the backbones can handle a movie to each home in
the world, someone is going to want to start sending around
three dimensional real time images (or something else which 
will tax the system). 

Energy was supposed to be so ample by now that it would be
"free" also. Somehow something got lost in the implementation. 

If some folks don't want to work on real QoS support (including
real QoS routing with some flows using "tagged" routes, and with
some sort of state maintenance for specific long term flows with 
stated requirements) then this is fine -- not everyone has to work 
on it. But many folks believe that the requirement is there today 
and thus the standards should be available for those who want to 
provide and/or use it (and as long as the pure datagram service 
is also available -- a clear necessity -- then no one should be 
prevented from doing only that if that is the product that they 
want to build or use). I think that much of the strength of the 
Internet comes from folks who quietly build the right thing 
while others are arguing about something else. 

> ...However, perhaps it
> is best not to talk about them so much and just work on
> the alternative approaches until some become the clear
> winners.  As long as nobody thinks there is a clear winner
> yet...

Ah, here we agree. Doing the work had always being more fun and
more productive that argueing about it. (hmm, I think that I
missed one of the fundamental truths of networking here ----
sorry about that, RFC1925 may need to be updated). 

Ross

---

From: Steve Deering <[email-masked]>
Date: Mon, 8 Apr 1996 16:44:00 PDT

> From:	[email-masked] (Ross Callon)
> 

Yeah, but that's one of those April Fools RFCs.   :-)

Actually, I agree with you.  There are some applications for which
best-efforts, fair-share service probably won't suffice, e.g., remote
surgery.  But for those, you'll probably want to reserve the resources in
advance, by special request to your service provider; the set-up protocol
could be SNMP.  It's the everyday applications, like making a phone call
or turning on the TV, for which I think reservations are gratuitous
complexity -- to keep your customers happy, you'll have to size the network
to almost never give a busy signal, and once you have that capacity, do you
really need the reservation requests?

> "free" also. Somehow something got lost in the implementation. 

Yes, but somehow the cost/performance history of the computer industry has
turned out to be very different than most other industries.  Wasn't there
some old line about how if the cost/performance of the airline industry had
paralleled that of the computer industry, a Boeing 747 would now cost $1.25?
Packet switches use the same technology as computers, so can ride the same
wave, or else just get eliminated in favor of all-optical switches.

I agree that communication will never become "free" -- households will
continue to pay the $30-$50 a month they are currently willing to pay for
cablevision, but will just get more and more communication capacity and
capability for about the same dollar amount (adjusted for inflation).

> Ah, here we agree.

Ditto.

Steve